Skip to main content
GET
/
preview
/
retail-media
/
balances
/
{balanceId}
/
history
/preview/retail-media/balances/{balanceId}/history
curl --request GET \
  --url https://api.criteo.com/preview/retail-media/balances/{balanceId}/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "changeDetails": {
          "changeValue": "<string>",
          "currentValue": "<string>",
          "previousValue": "<string>"
        },
        "dateOfModification": "2023-11-07T05:31:56Z",
        "modifiedByUser": "<string>",
        "memo": "<string>"
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

balanceId
string
required

Balance id.

Query Parameters

limit
integer<int32>
default:25

The number of elements to be returned.

Required range: 1 <= x <= 500
limitToChangeTypes
string

Comma separated change types string that will be queried.

offset
integer<int32>
default:0

The (zero-based) starting offset in the collection.

Required range: 0 <= x <= 2147483647

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several value objects and metadata.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

metadata
object

Metadata related to the current request.

warnings
object[] | null
read-only

Warnings that occured during this call.